Page MenuHomePhabricator

Contents of URL field should not be lowercased
Closed, ResolvedPublic

Description

At https://bugzilla.wikimedia.org/show_bug.cgi?id=65779, the URL field is set to https://en.wikipedia.org/w/index.php?title=User:PleaseStand/Sandbox&oldid=610241510.

However, at https://bugzillapreview.wmflabs.org/T3084, the URL added to the description is https://en.wikipedia.org/w/index.php?title=user:pleasestand/sandbox&oldid=610241510.

In this case, the link was not broken, though in other cases it could be. Lowercasing capital letters in a URL, except in the scheme and hostname, often does not preserve semantics, so the migration script should not do that.

Event Timeline

PleaseStand raised the priority of this task from to Needs Triage.
PleaseStand updated the task description. (Show Details)
PleaseStand added a project: Bugzilla-Preview.
PleaseStand changed Security from none to None.
PleaseStand added a subscriber: PleaseStand.
Qgil triaged this task as Medium priority.Oct 26 2014, 3:06 PM
Qgil added a subscriber: Qgil.
Qgil moved this task from Backlog to Ready To Go on the Bugzilla-Preview board.Oct 26 2014, 9:46 PM

Where is the source code of the import script? Bugs such as this one make me nervous.

Qgil assigned this task to chasemp.Oct 29 2014, 9:26 PM
Dzahn added a subscriber: Dzahn.Oct 29 2014, 11:35 PM
In T917#15662, @Qgil wrote:

phabricator/tools

actually the gerrit history doesn't have any merges, just 2 abandoned ones:

https://gerrit.wikimedia.org/r/#/q/project:phabricator/tools,n,z

but there are things in it anyways if you clone it,which i see for the first time

Aklapper moved this task from Ready To Go to Done on the Bugzilla-Preview board.Nov 5 2014, 5:32 PM
chasemp closed this task as Resolved.Nov 5 2014, 5:35 PM